Bug 230164 - Relax BroadcastChannel origin partitioning if iframe has storage access
Summary: Relax BroadcastChannel origin partitioning if iframe has storage access
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: https://github.com/whatwg/html/issues...
Keywords: InRadar
Depends on:
Blocks: 161472
  Show dependency treegraph
 
Reported: 2021-09-10 12:04 PDT by Chris Dumez
Modified: 2021-09-13 15:19 PDT (History)
8 users (show)

See Also:


Attachments
Patch (18.35 KB, patch)
2021-09-10 12:08 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (18.44 KB, patch)
2021-09-10 12:16 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (21.10 KB, patch)
2021-09-11 14:19 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (22.89 KB, patch)
2021-09-11 16:01 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (22.96 KB, patch)
2021-09-11 17:40 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2021-09-10 12:04:20 PDT
Relax BroadcastChannel origin partitioning if iframe has storage access.
Comment 1 Chris Dumez 2021-09-10 12:08:20 PDT
Created attachment 437896 [details]
Patch
Comment 2 Chris Dumez 2021-09-10 12:16:15 PDT
Created attachment 437897 [details]
Patch
Comment 3 Chris Dumez 2021-09-11 14:19:38 PDT
Created attachment 437963 [details]
Patch
Comment 4 Chris Dumez 2021-09-11 16:01:57 PDT
Created attachment 437968 [details]
Patch
Comment 5 Chris Dumez 2021-09-11 17:40:36 PDT
Created attachment 437973 [details]
Patch
Comment 6 EWS 2021-09-13 15:18:34 PDT
Committed r282366 (241629@main): <https://commits.webkit.org/241629@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437973 [details].
Comment 7 Radar WebKit Bug Importer 2021-09-13 15:19:27 PDT
<rdar://problem/83074931>